<template>
  <div class='item'>
    <img :src='require(`../../assets/img/cloud/solutions-${data.img}.svg`)' alt='' width='113' height='111'>
    <p class='item__name'>{{ data.name }}</p>
    <p v-show='data.subtitle' class='item__subtitle'>{{ data.subtitle }}</p>
    <p v-for='(p, indxe) in data.text' :key='indxe' class='item__text'>{{ p }}</p>
    <base-button class='item__button' @click.native='() => submitPlan(data.plan)'>
      Apply It
    </base-button>
  </div>
</template>

<script>
import { mapActions } from 'vuex'
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },

  props: {
    data: {
      type: Object,
      default: () => {
        return {
          img: '1',
          name: 'START',
          subtitle: 'All features of the «Start» package and additionally:',
          text: ['Three additional types of trading orders (stop loss, take profit, trailing stop)'],
          plan: ''
        }
      }
    }
  },

  methods: {
    ...mapActions({
      setCurrentPlan: "setCurrentPlan"
    }),

    submitPlan(plan) {
      this.setCurrentPlan(plan);
      this.$router.push(this.localePath('/application'));
    }
  }
}
</script>

<style lang='scss' scoped>
.item {
  min-height: 630px;
  width: 350px;
  padding: 28px 24px 32px;
  background: #0E1B4E;
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  z-index: 1;

  &:hover {
    background-color: #18265E;

    button {
      background: linear-gradient(77.9deg, #0066FF -3.83%, #2CE0C5 110.36%);
    }
  }
  img {
    object-fit: none;
  }

  &__name {
    color: white;
    font-size: 24px;
    margin-bottom: 35px;
    margin-top: 12px;
  }

  &__subtitle {
    color: #ADBAD0;
    margin: 0 0 35px;
    font-size: 15px;
    line-height: 26px;
    text-align: center;
    max-width: 227px;
  }

  &__text {
    color: #6983AB;
    margin: 0;
    font-size: 15px;
    line-height: 26px;
    text-align: center;
    max-width: 260px;

    &:not(:last-child) {
      margin-bottom: 10px;
    }

    &:last-child {
      margin-bottom: 40px;
    }
  }

  &__button {
    margin-top: auto;
    position: relative;
    width: 100%;
    background: #0E1B4E;
    justify-content: center;
    max-width: 282px;
  }
}
</style>
